Перейти из форума на сайт.

НовостиФайловые архивы
ПоискАктивные темыТоп лист
ПравилаКто в on-line?
Вход Забыли пароль? Первый раз на этом сайте? Регистрация
Компьютерный форум Ru.Board » Компьютеры » Программы » Basilisk

Модерирует : gyra, Maz

 Версия для печати • ПодписатьсяДобавить в закладки
Страницы: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132

Открыть новую тему     Написать ответ в эту тему

Gosuto



BANNED
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору

Basilisk - это новый браузер от Pale Moon Team, являющийся полностью независимым форком Mozilla Firefox, основанном на механизме и движке рендеринга Goanna (форке Gecko).
Браузер поддерживает широкий спектр функций, необходимых для современного веб-серфинга, включая поддержку расширенных скриптов, CSS, HTML5 и загружаемых шрифтов. Он также полностью поддерживает все плагины NPAPI (например, Java, веб-проигрыватель Unity, и различные плагины).
Basilisk - это веб-браузер, нацеленный на сохранение полезных технологий, которые удалены в Mozilla Firefox.
Основные особенности Basilisk:
Важные отличия от Mozilla Firefox:

Скачать:
Windows Installer: 64-bit
Windows 7z archive: 64-bit
Linux tarball: 64-bit
Прекращена поддержка 32-х битных версий. Последние 32-х битные релизы: Installer, 7z archive
Release Notes


Форки и пользовательские сборки
Centaury - форк Basilisk от zzz528 - поддержка ХР, WebExtensions, инсталлятор с возможностью полностью портативной установки без дополнительных библиотек (ссылки на последний Centaury версии 0.17.0: x86, x64)
Serpent - сборки Basilisk от roytam1 - поддержка ХР, WebExtensions, сборки на ветках 52.9 и 55. Весь архив.
Сборки Basilisk от Cento8 - портабельные с использованием tmemutil.dll, давно не обновлялись

Русификаторы
   Русификатор для Basilisk от Vitaliy V. - совместим с официальными и кастомными сборками ветки 52.9.
   Русификатор для Basilisk 55 - совместим со сборками ветки 55.
   Русификаторы для сборок Basilisk от roytam1

Расширения
Официальный каталог расширений
Официальный каталог поисковых движков
Legacy Firefox extensions
Каталог классических дополнений Firefox Gecko: Classic Add-ons Archive

Всего записей: 5619 | Зарегистр. 09-11-2015 | Отправлено: 07:21 19-11-2017 | Исправлено: Egor2020, 18:36 12-10-2021
harrykkk



Gold Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
RetroRocket
Спасибо, разобрался.
No Resource URI Leak у меня нет. Оказалось конфликт у меня был с Canvas Defender. canvas.poisondata = true, но после отключения Canvas Defender я не заметил, что это как-то мешает. Иконка появилась. Но у аддона столько непонятных настроек! Как в этом во всём разобраться, и нужно ли?
Canvas Defender вообще без настроек, типа сам что-то там тихо делает и ладно.
А здесь только на в целом безобидном сайте duckduckgo.com аддон нашел 5 API

Цитата:
Canvas API    
Audio API    
History API    
DOMRect API    
Screen API

и как разобраться какие нужны, а какие нет?

Всего записей: 6271 | Зарегистр. 24-02-2013 | Отправлено: 21:32 24-06-2021
santias



Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
RetroRocket
 
Большое спасибо за подсказку

Цитата:
Я удаляю лишние элементы на страницах инструментами uBO legacy. Крайняя версия - 1.16.4.29.
Помимо блокирования рекламы с помощью встроенных фильтров, можно вручную в окне uBO выбрать иконку с молнией или пипеткой, после чего выделить ненужный элемент на странице и удалить его.
Молния удаляет временно (до перезагрузки страницы), а пипетка создаёт постоянное правило для скрытия элемента.  

А чем Вы посоветуете сохранить странички в PDF, кроме "Print Friendly & PDF"?

Всего записей: 370 | Зарегистр. 12-04-2016 | Отправлено: 00:14 25-06-2021
RetroRocket



Silver Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
harrykkk
Цитата:
No Resource URI Leak у меня нет.
Напрасно. У Serpent, как у форка FF, видны некоторые "хвосты" здесь - https://browserleaks.com/firefox
А с No Resource URI Leak всё чисто. Но это расширение с очень "злой" блокировкой и ломает работу некоторых других расширений (Browsec, Canvas Blocker и др.). Приходится их добавлять в исключения.

Цитата:
canvas.poisondata = true, но после отключения Canvas Defender я не заметил, что это как-то мешает.
У меня с canvas.poisondata = true не проходили какие-то тесты здесь - https://canvasblocker.kkapsner.de/test/
Какие точно уже не помню.

Цитата:
и как разобраться какие нужны, а какие нет?
Тонкие настройки я не трогаю, а по дефолту там вполне нормальные настройки.  
 
Canvas API - основной функционал, ради которого имеет смысл использовать расширение. У меня включено. Проверить работу можно здесь - https://browserleaks.com/canvas
При каждом обновлении страницы должны генерироваться новые значения.
 
Audio API - не даёт сайтам определять возможности по воспроизведению аудио-файлов. Тоже включено. Только выставил "100% от значений".
 
History API - мешает сайтам отслеживать, какие ссылки вы уже открывали по их наличию в истории браузера. Аналог параметра browser.sessionhistory.max_entries. У себя выставил 4.
 
DOMRect API - вносит небольшие различия при отрисовке разных графических элементов HTML5. У меня включено. Проверить можно здесь - https://browserleaks.com/rects
При каждом обновлении страницы должны отображаться новые значения хэшей.
 
Screen API - мешает сайтам определять реальное разрешение дисплея. Разрешение дисплея сообщается равным текущему размеру окна браузера.  
У меня Screen API выключено, поскольку тот же эффект при privacy.resistFingerprinting = true. Проверить можно здесь - https://www.jeffersonscher.com/res/resolution.php

Цитата:
А здесь только на в целом безобидном сайте duckduckgo.com аддон нашел 5 API
Вот это странно. Не знаю, почему так. У меня только DOMRect на duckduckgo.com срабатывает.
 
santias
Цитата:
А чем Вы посоветуете сохранить странички в PDF
Какого-то конкретного расширения не посоветую. Для сохранения в PDF использую виртуальный принтер от Адобе.

----------
"... Зовёт, зовёт в дорогу далёкий Млечный Путь ..."

Всего записей: 2618 | Зарегистр. 02-01-2018 | Отправлено: 07:22 25-06-2021 | Исправлено: RetroRocket, 07:27 25-06-2021
harrykkk



Gold Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
RetroRocket

Цитата:
No Resource URI Leak 1.2.4

Что-то не нагуглил. Где взять?

Всего записей: 6271 | Зарегистр. 24-02-2013 | Отправлено: 16:31 25-06-2021
RetroRocket



Silver Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
harrykkk
Цитата:
Что-то не нагуглил. Где взять?
Первоначальнный пост был в теме Palemoon - http://forum.ru-board.com/topic.cgi?forum=5&topic=50547&start=340#14
 
Сохранилось тут -  
https://web.archive.org/web/20191022011606/https://repo.hyperbola.info:50000/other/iceweasel-uxp/addons/no-resource-uri-leak/no_resource_uri_leak-1.2.4-an+tb+sm+fx.xpi

----------
"... Зовёт, зовёт в дорогу далёкий Млечный Путь ..."

Всего записей: 2618 | Зарегистр. 02-01-2018 | Отправлено: 17:14 25-06-2021
Egor2020

Advanced Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
Почему расширение User-Agent Switcher and Manager 0.4.4 (в формате WebExtensions) не устанавливается в браузере Centaury 0.16.0? Выскакивает ошибка, что расширение повреждено. В оригинальном Firefox 52.9 ESR данной ошибки нет.

Всего записей: 849 | Зарегистр. 01-03-2020 | Отправлено: 16:51 26-06-2021 | Исправлено: Egor2020, 16:51 26-06-2021
zzz528

Advanced Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
Egor2020

Цитата:
В оригинальном Firefox 52.9 ESR данной ошибки нет.

Точно? У меня почемуто есть.
 
но вот так можно подделать manifest и запихнуть в xpi

Всего записей: 1504 | Зарегистр. 20-06-2005 | Отправлено: 18:05 26-06-2021 | Исправлено: zzz528, 18:07 26-06-2021
Egor2020

Advanced Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
zzz528, у всех такое или только у меня? С некоторого времени в браузере Centaury 0.16.0 при открытии главной страницы Яндекса https://yandex.ru перестали отображаться логотип Яндекса и иконки сервисов Яндекса:

Баг проявляется даже на голом профиле Centaury без установленных расширений. В браузере Mypal 29.2.0 такого бага нет.
Как заставить Centaury корректно отображать главную страницу Яндекса? Заранее спасибо.
У меня Windows 10 Enterprise (x64) v1903.

Всего записей: 849 | Зарегистр. 01-03-2020 | Отправлено: 18:23 26-06-2021
zzz528

Advanced Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
Egor2020
Создать настройку
svg.in-content.enabled;true  

Всего записей: 1504 | Зарегистр. 20-06-2005 | Отправлено: 18:33 26-06-2021
Egor2020

Advanced Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
zzz528
Вы можете по умолчанию включить данный параметр в следующем релизе браузера Centaury? А то неудобно каждый раз его прописывать в about:config при установке Centaury на большом количестве компьютеров, либо при многократной установке Centaury на виртуальных машинах с Windows XP/2003/Vista.

Всего записей: 849 | Зарегистр. 01-03-2020 | Отправлено: 18:40 26-06-2021 | Исправлено: Egor2020, 18:42 26-06-2021
zzz528

Advanced Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
Egor2020
Да конечно, это и было упущение что сразу не добавел настройку - перешло из тор браузера, а он свои настройки в другом месте хранит.

Всего записей: 1504 | Зарегистр. 20-06-2005 | Отправлено: 19:20 26-06-2021
Kero1



Silver Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
zzz528

Цитата:
Точно?


Цитата:
В оригинальном Firefox 52.9 ESR данной ошибки нет.  

кстати действительно , в 52.9 ESR ставится а Centaury нет .

Всего записей: 2090 | Зарегистр. 23-08-2011 | Отправлено: 19:21 26-06-2021 | Исправлено: Kero1, 19:21 26-06-2021
zzz528

Advanced Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
Это дело во взломе проверки подписаности, если всё по умолчанию то да ошибки нет.

Всего записей: 1504 | Зарегистр. 20-06-2005 | Отправлено: 19:30 26-06-2021
Kero1



Silver Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
zzz528
Цитата:
 дело во взломе проверки подписаности
в смысле ?
Даже с xpinstall.signatures.required;true  оно ставится .

Всего записей: 2090 | Зарегистр. 23-08-2011 | Отправлено: 19:36 26-06-2021 | Исправлено: Kero1, 19:39 26-06-2021
zzz528

Advanced Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору

Цитата:
xpinstall.signatures.required

это ерунда.
На 52 лису нельзя установить неподписанное дополнение, но это можно взломать (config.js), что я и сделал, и оказалось что это имеет такой побочный эффект. В Centaury этот взлом уже был встроен наверное.

Всего записей: 1504 | Зарегистр. 20-06-2005 | Отправлено: 19:46 26-06-2021
Kero1



Silver Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
zzz528
Цитата:
это ерунда.  
а,  так и предполагал что вы про то.
 

Всего записей: 2090 | Зарегистр. 23-08-2011 | Отправлено: 19:50 26-06-2021
Egor2020

Advanced Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
Почему русификатор для Basilisk от Vitaliy V., скачанный из шапки данной темы, не работает в браузере Centaury 0.16.0? Я установил скачанный XPI-файл, зашел в about:config и заменил значение параметра general.useragent.locale с en-US на ru или ru-RU, но при перезапуске браузера выскакивает следующая ошибка:

Где скачать рабочий русификатор для браузера Centaury? Заранее спасибо.
 
UPD:
Решил проблему скачиванием русификатора, созданного специально для Centaury, отсюда.

Всего записей: 849 | Зарегистр. 01-03-2020 | Отправлено: 14:08 27-06-2021 | Исправлено: Egor2020, 14:18 27-06-2021
grey_rat

Advanced Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
zzz528, а зачем в Centaury не убрано ограничение по максимальной версии браузера?
Например такие расширения как "PotPlayer YouTube Shortcut" или "Worldwide Radio" не ставятся, хотя они могут работать. В лисе это огрангичение можно отключить настройкой extensions.checkCompatibility.52.9 , а в сборках на PM эта опция не работает.

Всего записей: 1046 | Зарегистр. 20-01-2015 | Отправлено: 22:04 03-07-2021
zzz528

Advanced Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
grey_rat

Цитата:
"PotPlayer YouTube Shortcut" или "Worldwide Radio"

Ну эти например да, а 150 других нет, не проще ли убрать ограничение в расширении.
 

Цитата:
настройкой extensions.checkCompatibility.52.9

В 52 лисе нет такой.

Всего записей: 1504 | Зарегистр. 20-06-2005 | Отправлено: 23:48 03-07-2021
Kero1



Silver Member
Редактировать | Профиль | Сообщение | Цитировать | Сообщить модератору
zzz528

Цитата:
не проще ли убрать ограничение в расширении.  
конечно нет, выпилите там   код если конечно знаете как

Всего записей: 2090 | Зарегистр. 23-08-2011 | Отправлено: 00:26 04-07-2021
Открыть новую тему     Написать ответ в эту тему

Страницы: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132

Компьютерный форум Ru.Board » Компьютеры » Программы » Basilisk


Реклама на форуме Ru.Board.

Powered by Ikonboard "v2.1.7b" © 2000 Ikonboard.com
Modified by Ru.Board
© Ru.Board 2000-2020

BitCoin: 1NGG1chHtUvrtEqjeerQCKDMUi6S6CG4iC

Рейтинг.ru